diff -r -U 0 include/config.h include.new/config.h
--- include/config.h	2001-11-17 15:48:03.000000000 -0200
+++ include.new/config.h	2002-07-22 21:36:30.000000000 -0200
@@ -157,0 +158,7 @@
+/*
+ * QUIET_ON_BAN
+ *
+ * When this is defined, a banned user will not be able to talk in the channel.
+ */
+#define QUIET_ON_BAN
+
diff -r -U 0 src/channel.c src.new/channel.c
--- src/channel.c	2001-11-17 15:00:25.000000000 -0200
+++ src.new/channel.c	2002-07-22 21:36:26.000000000 -0200
@@ -792,0 +793,5 @@
+#ifdef QUIET_ON_BAN
+  if (is_banned(cptr, chptr) == CHFL_BAN)
+    return (MODE_MODERATED);
+#endif
+
